%global revision 20100203

Summary:        PAR 2.0 compatible file verification and repair tool
Name:           par2cmdline
Version:        0.4.tbb.%{revision}
Release:        3%{?dist}
License:        GPLv2+
Group:          Applications/Archiving
Source:         http://www.chuchusoft.com/par2_tbb/par2cmdline-0.4-tbb-%{revision}.tar.gz
Patch1:         par2-tbb-packed.patch
Patch3:         par2-tbb-fortify-source-fix.patch
Patch4:         par2-tbb-disable-concurrent-support.patch
Patch5:         par2cmdline-gcc-compile-fix.patch
Patch6:         par2cmdline-fix-dso-linking.patch
URL:            http://parchive.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      parchive <= 1.1.4
Provides:       parchive = 1.1.4.0.par2.%{version}

%ifarch %{ix86} x86_64
BuildRequires:  tbb-devel
%endif


%description
par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.


%prep
%setup -q -n par2cmdline-0.4-tbb-%{revision}
%patch1 -p1
%patch3 -p0

# Fix DSO linking, bug #564834
%patch6 -p0

# Intel threading blocks is only available on x86 hardware
%ifnarch %{ix86} x86_64
# This patch strips out the TBB-specific code
%patch4 -p0

# Don't link against TBB, but against the rt library (for aio_read/aio_write)
sed -i s/-ltbb/-lrt/ Makefile.in
%endif

# Fix a compile error on Fedora 13, FTBFS bug #539005
%patch5 -p0

# fix end-of-lines of several files
sed -i 's/\r//' AUTHORS PORTING README ROADMAP


%build
%configure
make %{_smp_mflags}
chmod 644 ChangeLog galois.h par1repairer.cpp par2repairer.cpp par2repairersourcefile.cpp par2repairersourcefile.h


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
ln -sf par2 $RPM_BUILD_ROOT/%{_bindir}/par


%clean
rm -rf $RPM_BUILD_ROOT


%check
chmod +x test[1-6] pretest posttest
%if 0%{?rhel} <= 5
# The test suite fails to run on the Koji builders for EL6 so we disable them for now
make check-TESTS
%endif


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README 
%{_bindir}/par	
%{_bindir}/par2	
%{_bindir}/par2create	
%{_bindir}/par2repair	
%{_bindir}/par2verify


%changelog
* Sat Aug 21 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20100203-3
- Added support for EL6

* Sat Jun 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20100203-2
- Fix DSO linking failure (BZ #564834)

* Fri Feb  5 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20100203-1
- Update to par2_tbb 20100203 (Fixes BZ #545859 and #549007)

* Sun Dec 27 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20090203-4
- Fixed PPC build failure (BZ #550818)

* Sat Dec 12 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20090203-3
- Rebuild for new tbb

* Sun Nov 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20090203-2
- FTBFS fix, BZ #539005

* Mon Aug  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.4.tbb.20090203-1
- Updated to the par2_tbb fork of par2cmdline (revision 20090203)
  This fork is maintained at http://www.chuchusoft.com/par2_tbb/
- This adds support for PAR2 verifications and repairs using multiple CPU cores
- As Intel Threading Building Blocks (TBB) only works on x86 hardware, fall
  back to the old behaviour on other platforms (like PPC/PPC64)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-14
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4-13
- Rebuild.

* Fri Aug 24 2007 Laurent Rineau <laurent.rineau__fedora@normalesup.org> - 0.4-12
- New License: tag.
- rpmlint cleaning: 
    - clean the build root at the beginning of %%install
    - use -q in %%setup

* Mon Aug 28 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-11
- Rebuild for FC-6.
- Change my email address in the %%changelog.

* Fri May 12 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-10
- New %%changelog. Quote percent signs.

* Wed May 10 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-9
- Remove PORTING and ROADMAP from doc files.
- Patch2: Remove explicit linking with -lstdc++ in Makefile.am, what required to call aclocal-1.9 and automake-1.9

* Tue May  9 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-8
- Added a new patch, to kill warnings, and try to fix ppc compilation error.

* Fri Apr 28 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-7
- Change the description. Thanks to Jason Tibbitts (tibbs@math.uh.edu) for his help.
- Add %%check section

* Thu Apr 27 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-6
- chmod 644 several files, in %%build
- fix the Source: tag.
- new %%description
- changed the buildroot to the one recommanded for Fedora Extras

* Wed Apr 12 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> - 0.4-5
- Added the dist tag.
- Recode several file with sed, to remove DOS end-of-lines.
- Changed the URL: tag.
- Cleanup after a rpmlint pass.

* Tue Apr 11 2006 Laurent Rineau <laurent.rineau__fedora_extras@normalesup.org> -  0.4-3
- updated for Fedora Core 4
- obsolete parchive 1.1.4
- provides parchive = 1.1.4.0.par2.%%{version}

* Tue May 11 2004 - Thibaut Cousin <linux@thibaut-cousin.net>
- updated to version 0.4 for SUSE 9.1

* Tue Oct 21 2003 - Thibaut Cousin <linux@thibaut-cousin.net>
- first release of this package for SuSE 9.0
